﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["MenuType"] = ViewData["MenuType"];

}

<div class="row clearfix scrolltab">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2>@ViewData["PageName"] </h2>
                <ul class="header-dropdown">
                    <li><a href="#openformadd" data-toggle="modal" data-target="#openformadd" class="btn btn-info">Thêm mới</a></li>
                </ul>
            </div>
            <div class="body">
                <div id="griddepartment">

                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="openformadd" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="depart_formtitle">Thêm mới phòng ban</h4>
            </div>
            <div class="modal-body">
                <form id="updateform">
                    <input name="ID" id="ID" value="0" hidden />
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="departmentName">Tên Phòng ban</label>
                            <input type="text" id="departmentName" class="form-control" required="">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="departmentCode"> Mã Phòng ban </label>
                            <input type="text" id="departmentCode" class="form-control" required="">
                        </div>
                    </div> 
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success ladda-button" data-style="expand-right" id="btn-add" onclick="AddDepart()"><i class="fa fa-check-circle"></i> <span>Thêm mới</span></button>
                <button type="button" class="btn btn-danger" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>



@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />

    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />

    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link href="~/css/manager/department/departstyle.css" rel="stylesheet" />
}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>
    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>
    <script src="~/lib/kendo/library/kendo.all.min.js"></script>
    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/js/manager/Department/departmentFunction.js"></script>
}

